Bug 823488 - Syntax error on line 2 of /var/lib/stickshift/9aaee8d4b8a4447c8539d58b8a55cfed/sysadmin/conf.d/stickshift.conf: remote: DocumentRoot must be a directory
Syntax error on line 2 of /var/lib/stickshift/9aaee8d4b8a4447c8539d58b8a55cfe...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 07:34 EDT by anto
Modified: 2015-05-14 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/lib/stickshift/9aaee8d4b8a4447c8539d58b8a55cfed/sysadmin/conf.d/stickshift .conf: remote: DocumentRoot must be a directory (1.12 KB, application/octet-stream)
2012-05-22 01:10 EDT, anto
no flags Details

  None (edit)
Description anto 2012-05-21 07:34:33 EDT
Description of problem: when i'm pushing files im getting this error

git push -f ssh://9aaee8d4b8a4447c8539d58b8a55cfed@sysadmin-changepond.rhcloud.com/~/git/sysadmin.git/
Enter passphrase for key '/root/.ssh/id_rsa': 
Counting objects: 1087, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (1029/1029), done.
Writing objects: 100% (1087/1087), 3.35 MiB | 595 KiB/s, done.
Total 1087 (delta 203), reused 0 (delta 0)
remote: Stopping application...
remote: Waiting for stop to finish
remote: Done
remote: ~/git/sysadmin.git ~/git/sysadmin.git
remote: ~/git/sysadmin.git
remote: Starting application...
remote: Syntax error on line 2 of /var/lib/stickshift/9aaee8d4b8a4447c8539d58b8a55cfed/sysadmin/conf.d/stickshift.conf:
remote: DocumentRoot must be a directory
remote: Done
To ssh://9aaee8d4b8a4447c8539d58b8a55cfed@sysadmin-changepond.rhcloud.com/~/git/sysadmin.git/
 + dccecc1...bc57bfe master -> master (forced update)
Comment 1 Rob Millner 2012-05-21 14:22:08 EDT
Would you mind attaching the broken stickshift.conf to this bug report.  Also, any application logs from around that time would be helpful.  Thanks!
Comment 2 anto 2012-05-22 00:44:01 EDT
There is no such file in our server (Openshift Client)
Comment 3 Xiaoli Tian 2012-05-22 00:59:39 EDT
(In reply to comment #2)
> There is no such file in our server (Openshift Client)

Hi, anto

Can you please ssh to your application via:

$ssh -t 9aaee8d4b8a4447c8539d58b8a55cfed@sysadmin-changepond.rhcloud.com

And $cd  sysadmin/conf.d/

Then you should find the broken stickshift.conf there.

Can you please paste its content here ?

Thanks
Comment 4 anto 2012-05-22 01:10:52 EDT
Created attachment 585926 [details]
/var/lib/stickshift/9aaee8d4b8a4447c8539d58b8a55cfed/sysadmin/conf.d/stickshift .conf: remote: DocumentRoot must be a directory

As discussed file has been attached
Comment 5 anto 2012-05-30 00:18:02 EDT
Any update on this
Comment 6 Jhon Honce 2012-05-30 11:51:18 EDT
Cannot be reproduced on code in development. Ticket will be updated when code commited.
Comment 7 Xiaoli Tian 2012-06-01 01:23:44 EDT
Can not reproduce with the normal step with the latest devenv, the error is the same with https://bugzilla.redhat.com/show_bug.cgi?id=823853#c2, and that bug is also fixed, hope it works after we are upgraded.

Note You need to log in before you can comment on or make changes to this bug.